stages:
  # - build
  - prepare
  - update

# build_model:
#   stage: build
#   image: docker:latest

#   services:
#     - name: docker:dind
#       command: ["--insecure-registry=65.108.154.79:5000"]
#   script: 
#       - docker build -t 65.108.154.79:5000/web_app_9 --build-arg T12=novalue .
#       - docker push 65.108.154.79:5000/web_app_9


get_secret:
    stage: prepare
    image: python:3.9

    services:
    - name: waryak/karpov_courses:secret_ci_service
      alias: waryak
    script:
        - python3 get_thr.py > ./secret.txt
    artifacts:
        paths:
        - ./secret.txt

update:
  stage: update
  image: kroniak/ssh-client
  before_script:
        - mkdir -p ~/.ssh
        - chmod 700 ~/.ssh
        - ls ~/.ssh
        - echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config
        - echo "$SSH_PRIVATE_KEY" > ~/.ssh/id_rsa
        - chmod 600 ~/.ssh/id_rsa
        - export T12=$(cat ./secret.txt)
        - echo $T12
  script:
        - ssh root@65.108.154.79 "docker service update --env-add T12=$T12 web_app_9 --force"


